# TruncateQuery Class Reference
[Dynamic query builder]

Inheritance diagram for TruncateQuery:
[legend]

List of all members.

## Public Member Functions

| __construct ($whom=null)
| getId ()
| table ($table)
| toDialectString (Dialect $dialect)

## Private Member Functions

| dumpTargets (Dialect $dialect, $prepend=null, $append=null)

## Private Attributes

| $targets = array()

## Detailed Description

Definition at line 15 of file TruncateQuery.class.php.

## Constructor & Destructor Documentation

TruncateQuery::__construct | ( | $ | whom = `null` | ) |

Definition at line 19 of file TruncateQuery.class.php.

## Member Function Documentation

TruncateQuery::dumpTargets | ( | Dialect $ | dialect,
|  | $ | prepend = `null`,
|  | $ | append = `null` |
| ) |  |  | `[private]`

Definition at line 69 of file TruncateQuery.class.php.

References Assert::isUnreachable(), and Dialect::quoteTable().

Referenced by toDialectString().

Here is the call graph for this function:

TruncateQuery::getId | ( |  | ) |

Reimplemented from QueryIdentification.

Definition at line 29 of file TruncateQuery.class.php.

TruncateQuery::table | ( | $ | table | ) |

Returns:
  TruncateQuery

Definition at line 37 of file TruncateQuery.class.php.

TruncateQuery::toDialectString | ( | Dialect $ | dialect | ) |

Definition at line 47 of file TruncateQuery.class.php.

References dumpTargets(), Dialect::hasMultipleTruncate(), Dialect::hasTruncate(), and Assert::isTrue().

Here is the call graph for this function:

## Member Data Documentation

TruncateQuery::$targets = array()`[private]`

Definition at line 17 of file TruncateQuery.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/TruncateQuery.class.php